; ram.h
; Copyright 2012 Damian Yerrick
;
; Copying and distribution of this file, with or without
; modification, are permitted in any medium without royalty provided
; the copyright notice and this notice are preserved in all source
; code copies.  This file is offered as-is, without any warranty.
OAM = $0200

; main.s fields
.globalzp cur_keys, cur_trigger, new_keys, nmis, tvSystem
.global linebuf
; main.s methods
.global read_mouse_with_backward_buttons, read_zapper_trigger

; paldetect.s methods
.global getTVSystem

; pads.s methods
.global read_pads

; mouse.s fields
.globalzp cur_mbuttons, new_mbuttons
; mouse.s methods
.global read_mouse, mouse_change_sensitivity

; ppuclear.s fields
.globalzp oam_used
; ppuclear.s methods
.global ppu_clear_nt, ppu_clear_oam, ppu_screen_on, ppu_wait_vblank

; paldetect.s methods
.global getTVSystem

; bcd.s methods
.global bcd8bit

; unpb8.s fields
.globalzp ciSrc, ciDst, ciBufStart, ciBufEnd
.global PB53_outbuf, interbank_fetch_buf
; unpb8.s methods
.global unpb53_some, interbank_fetch

; vwf_draw.s methods
.global vwfStrWidth, vwfGlyphWidth, vwfPuts
.global clearLineImg, copyLineImg, invertTiles

; zapkernels.s methods
.global zapkernel_yonoff_ntsc

; Directories
CHRDIR_START = $FF02
SCREENSLIST  = $FF04
TITLELIST    = $FF06
PAGELIST     = $FF08
NAMESLIST    = $FF0A
DESCSLIST    = $FF0C
DESCSBANK    = $FF0E
; $0F unused
TITLESCREEN  = $FF10

TITLE_PRG_BANK    = $00
TITLE_CHR_BANK    = $01
TITLE_SCREENSHOT  = $02
TITLE_YEAR        = $03
TITLE_PLAYERS_TYPE= $04
TITLE_NAME_OFFSET = $08
TITLE_DESC_OFFSET = $0A
TITLE_ENTRY_POINT = $0C
TITLE_MAPPER_CFG  = $0E

TITLE_BASE_YEAR   = 1970
